org.apache.catalina.valves.rewrite

## Class RewriteCond.Condition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition

- Direct Known Subclasses:
    RewriteCond.LexicalCondition, RewriteCond.PatternCondition, RewriteCond.ResourceCondition
  Enclosing class:
    RewriteCond

      public abstract static class RewriteCond.Condition
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewriteCond.Condition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `evaluate(String value, Resolver resolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RewriteCond.Condition

          public RewriteCond.Condition()

  - ### Method Detail

    - #### evaluate

          public abstract boolean evaluate(String value,
                         Resolver resolver)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.